[PATCH] tpm2dtests: add missing start_sw_tpm.sh script
James Bottomley
James.Bottomley at HansenPartnership.com
Mon Mar 15 15:16:14 CET 2021
This accidentally got left out of the initial commit for testing
6720f1343 ("tpm2d: add tests for the tpm2daemon")
Signed-off-by: James Bottomley <James.Bottomley at HansenPartnership.com>
---
tests/tpm2dtests/start_sw_tpm.sh | 34 ++++++++++++++++++++++++++++++++
1 file changed, 34 insertions(+)
create mode 100755 tests/tpm2dtests/start_sw_tpm.sh
diff --git a/tests/tpm2dtests/start_sw_tpm.sh b/tests/tpm2dtests/start_sw_tpm.sh
new file mode 100755
index 000000000..0fb8f79cb
--- /dev/null
+++ b/tests/tpm2dtests/start_sw_tpm.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# remove any prior TPM contents
+rm -f NVChip h*.bin *.permall
+if [ -x "${SWTPM}" ]; then
+ ${SWTPM} socket --tpm2 --server type=tcp,port=2321 --ctrl type=tcp,port=2322 --tpmstate dir=`pwd` &
+else
+ ${TPMSERVER} > /dev/null 2>&1 &
+fi
+pid=$!
+##
+# This powers on the tpm and starts it
+# then we derive the RSA version of the storage seed and
+# store it permanently at handle 81000001 and flush the transient
+##
+a=0; while [ $a -lt 10 ]; do
+ if [ -x "${SWTPM_IOCTL}" ]; then
+ ${SWTPM_IOCTL} --tcp 127.0.0.1:2322 -i > /dev/null 2>&1
+ else
+ tsspowerup > /dev/null 2>&1
+ fi
+ if [ $? -eq 0 ]; then
+ break;
+ fi
+ sleep 1
+ a=$[$a+1]
+done
+if [ $a -eq 10 ]; then
+ echo "Waited 10s for tpm_server to come up; exiting"
+ exit 1
+fi
+
+tssstartup || exit 1
+echo -n $pid
--
2.26.2
More information about the Gnupg-devel
mailing list